CREATE TABLE `ufutx_asign_contract` (
    `id` bigint(20) UNSIGNED PRIMARY KEY NOT NULL AUTO_INCREMENT,
    `order_id` bigint(20) NOT NULL comment "订单id",
    `contract_no` varchar(191) NOT NULL comment "合同ID,合同唯一编号",
    `contract_name` varchar(191) NOT NULL comment "合同名称",
    `validity_date` timestamp null default null comment "合同有效截止日期",
    `sign_order` tinyInt(4) default 1 comment "签约方式 1:无序,2:有序",
    `file_ids` text default null comment "上传文件的唯一标识",
    `contract_files` text default null comment "合同附件",
    `templates` text default null comment "合同模板列表",
    `read_seconds` integer default NULL comment "强制阅读时间（秒）",
    `read_type` tinyInt(4) default null comment "强制阅读设置",
    `need_agree` tinyInt(4) default 0 comment "同意协议开关 0:关,1:开",
    `auto_expand` tinyInt(4) default 0 comment "是否自动展开文件列表 0:不展开,1:展开",
    `notify_url` varchar(191) default NULL comment "合同签署完成后status=2回调通知地址",
    `callback_url` varchar(191) default NULL comment "合同状态status=3:过期、4:拒签、-3:失败回调通知地址",
    `user_notify_url` varchar(191) default NULL comment "某个用户签署完成signStatus=2回调地址",
    `redirect_url`varchar(191) default NULL comment "合同签署完成后同步回调地址",
    `refuse_on` tinyInt(4) default 0 comment "合同签署页退回按钮开关 0:关,1:开",
    `auto_continue` tinyInt(4) default 0 comment "签署完成跳转下一个签署人 0:关,1:开",
    `view_flg` tinyInt(4) default 0 comment "合同签署完是否允许可以通过链接查看合同内容 0:允许,1:不允许",
    `status` tinyInt(4) default 0 comment "合同状态",
    `preview_url` varchar(191) NOT NULL comment "预览链接",
    `created_at` timestamp null default null,
    `updated_at` timestamp null default null,
    `deleted_at` timestamp null default null
)