CREATE TABLE `ufutx_asign_signer` (
    `id` bigint(20) UNSIGNED PRIMARY KEY NOT NULL AUTO_INCREMENT,
    `user_id` bigint(20) NOT NULL comment "用户id",
    `contract_no` varchar(191) NOT NULL comment "合同ID,合同唯一编号",
    `account` varchar(191) NOT NULL comment "用户唯一识别码",
    `sign_type` tinyInt(4) NOT NULL comment "签约方式 2:无感知,3:有感知",
    `seal_no` varchar(191) NULL default null comment "印章编号",
    `auth_sign_account` varchar(191) default NULL comment "指定授权签约用户",
    `notice_mobile` varchar(191) default null comment "通知手机号",
    `sign_order` varchar(191) default 1 comment "签约顺序编号",
    `is_notice` tinyInt(4) default 0 comment "是否发送签署通知 0:不通知,1:通知",
    `validate_type` tinyInt(4) NOT NULL comment "签署方式",
    `face_auth_mode` tinyInt(4) default NULL comment "人脸识别方式",
    `validate_type_list` varchar(191) default NULL comment "组合签署方式",
    `auto_switch` tinyInt(4) default 1 comment "自动切换签约方式",
    `is_notice_complete` tinyInt(4) default 0 comment "合同签署完成后是否通知用户: 0:否,1:是",
    `water_mark` tinyInt(4) default 0 comment "是否添加日期水印 0:否,1:是",
    `auto_sms` tinyInt(4) default 0 comment "是否自动触发验证码短信 0:否,1:是",
    `custom_sign_flag` tinyInt(4) default 0 comment "签章位置策略",
    `sign_strategy_list` text NOT NULL comment "签章策略",
    `sign_strike_list` text default NULL comment "骑缝章策略",
    `receiver_fill_strategy_list` text default NULL comment "接收方模板填充策略",
    `auth_config` text default NULL comment "添加陌生签署人认证参数配置",
    `is_iframe` tinyInt(4) default 0 comment "使用IFrame框架",
    `will_type` varchar(191) default NULL comment "核身模式 0:问答模式,1:播报模式",
    `sign_mark` varchar(191) default NULL comment "业务系统传递的唯一标识",
    `status` tinyInt(4) default 1 comment "合同状态",
    `sign_finished_time` timestamp null default null comment "签约时间",
    `user_sign_url` varchar(191) NOT NULL comment "用户签约链接",
    `company_sign_url` varchar(191) NOT NULL comment "公司签约链接",
    `created_at` timestamp null default null,
    `updated_at` timestamp null default null,
    `deleted_at` timestamp null default null
)